rem LanguageTool, a natural language style checker 
rem (c) 2012 Marcin Mikowski (http://languagetool.org)
rem
rem This library is free software; you can redistribute it and/or
rem modify it under the terms of the GNU Lesser General Public
rem License as published by the Free Software Foundation; either
rem version 2.1 of the License, or (at your option) any later version.
rem
rem This library is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
rem Lesser General Public License for more details.
rem
rem You should have received a copy of the GNU Lesser General Public
rem License along with this library; if not, write to the Free Software
rem Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
rem USA
rem 
rem A simple script to check your (La)TeX files using OmegaT + LanguageTool plugin
rem --
rem Requirements:
rem Get OmegaT from here: http://www.omegat.org/en/download_selector/ui.php
rem and install it for your system
rem Get OmegaT LanguageTool plugin: http://sourceforge.net/projects/omegat-plugins/files/OmegaT-LanguageTool/
rem Install the plugin into the plugin directory of the OmegaT installation on your computer.
rem Note: you need to adjust the path "C:\Program Files (x86)\OmegaT\" below if you did not install OmegaT to its
rem default directory.
rem 
rem Usage:
rem Open the console in the directory where the tex file is found.
rem Copy the files of this script (latexcheck.bat, omegat.project and filters.xml there.
rem Run the following command: latexcheck <tex file>
rem where <tex file> is the filename of the file to be checked.
rem Note: you need to adjust manually the language setting in the omegat.project file, namely the lines:
rem         <source_lang>PL-PL</source_lang>
rem         <target_lang>PL-PL</target_lang>
rem 
rem For example, to use English, use:
rem         <source_lang>EN-US</source_lang>
rem         <target_lang>EN-US</target_lang>
rem
rem Note also that the filters.xml file is useful only if your files contain UTF-8 characters. If you use your
rem system's encoding, you can remove it, along with line 59 of this script below.
rem
rem The file that includes the corrections will be created in the latexcheck\target directory when you use
rem the command File > Create target files in OmegaT (usually Ctrl+D). The source file is not overwritten.

@echo off
mkdir latexcheck
mkdir latexcheck\source
mkdir latexcheck\target
mkdir latexcheck\glossary
mkdir latexcheck\tm
mkdir latexcheck\tm\auto
mkdir latexcheck\dictionary
mkdir latexcheck\omegat
copy omegat.project latexcheck
copy %1 latexcheck\source\%1
copy filters.xml latexcheck\omegat
java -jar "C:\Program Files (x86)\OmegaT\OmegaT.jar" latexcheck --mode=console-createpseudotranslatetmx --pseudotranslatetmx=latexcheck\tm\tm.tmx --pseudotranslatetype=equal
java -jar "C:\Program Files (x86)\OmegaT\OmegaT.jar" latexcheck